//
// Created by lukas on 06.03.21.
//

#ifndef LEDSTRIPINTERFACE_CLOCK_H
#define LEDSTRIPINTERFACE_CLOCK_H

#include <Ticker.h>
#include "Adafruit_NeoPixel.h"
#include "Arduino.h"
#include "../.pio/libdeps/node32s/Adafruit NeoPixel/Adafruit_NeoPixel.h"
#include "LoadAnimator.h"

#define NUMPIXELS 108 // Popular NeoPixel ring size

class Clock {
 private:
  Adafruit_NeoPixel strip{};
  LoadAnimator animator;

  void paintAllwaysOnLeds();
  void printWord(std::vector<int> word,  uint32_t color);
  void setTime(uint8_t hour, uint8_t minute);

 public:
  Clock();
  void init();
  void refreshTime();

  Ticker refreshTicker;
};


#endif  // LEDSTRIPINTERFACE_CLOCK_H
